### Function

# Gio TlsFileDatabase new

since: 2.30

#### Declaration

    GTlsDatabase*
    g_tls_file_database_new (
      const gchar* anchors,
      GError** error
    )

#### Description

Creates a new `GTlsFileDatabase` which uses anchor certificate authorities in `anchors` to verify certificate chains.

The certificates in `anchors` must be PEM encoded.

Available since: 2.30

#### Parameters

`anchors`

  Type: `const gchar*`

  Filename of anchor certificate authorities.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GTlsFileDatabase`

The new `GTlsFileDatabase`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.